Subject: Re: [trill] Could you send your opinion on: Should we adopt draft-dunbar-trill-directory-assisted-edge-05.txt as a WG document?

From: Yizhou Li <[email-masked]>
Date: Tue, 19 Jun 2012 09:22:45 +0800

Linda,

Current draft looks more focusing on the problem statement and framework
rather than the requirement. I think using "framework" alone in the name
fits better.

Yizhou  

-----Original Message-----
On Fri, Jun 15, 2012 at 9:28 AM, Linda Dunbar <[email-masked]>
wrote:
> Thanks to Anoop and Sam's opinion on this draft.
>
> This draft initially had technical content, e.g. the detailed mechanism to
achieve Pull model and Push model. As we peel the onion and explore more
details of the mechanisms, a lot more options for the detailed mechanisms
were mentioned to achieve the goal. It will be a huge document if all the
options are included.
>
> Therefore, the TRILL WG chairs suggested to remove the technical content
and make the draft as framework informational draft. After WG agree to
general framework, multiple drafts can be written to describe various
options and debate on which one is suitable or all being optional, etc.
>
> I am fine with re-spinning the draft by changing the name to
"draft-trill-directory-framework-requirement".
>
> What do people think?
>
> Linda Dunbar
>
>
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf
>> Of Anoop Ghanwani
>> Sent: Thursday, June 14, 2012 7:36 PM
>> To: Erik Nordmark
>> Cc: [email-masked]
>> Subject: Re: [trill] Should we adopt draft-dunbar-trill-directory-
>> assisted-edge-05.txt as a WG document?
>>
>> I think this is an interesting problem/solution,
>> but I think it falls short in discussing how the
>> directory should be created and what protocol
>> should be used for the directory server.
>>
>> Implementing something like this would mean
>> that ARP/ND messages would all have to be
>> forwarded in software (otherwise hosts would
>> have a problem creating their ARP caches),
>> which is not mentioned in the document.
>>
>> Anoop
>>
>> On Thu, Jun 14, 2012 at 11:48 AM, Erik Nordmark <[email-masked]>
>> wrote:
>> >
>> > <http://http://tools.ietf.org/html/draft-dunbar-trill-directory-
>> assisted-edge-05>
>> >
>> > We've discussed earlier versions of this document in the WG in the
>> past, and
>> > it seems like useful information for a technique that helps with ARP
>> and ND
>> > scaling. It does not include any protocol changes or extensions.
>> >
>> > The document is intended as an informational document (it says
>> "Intended
>> > status: Standard Track" but that is incorrect) explaining how
>> directories
>> > can fit into TRILL.
>> >
>> > Note that there is claimed IPR associated with the draft:
>> > <https://datatracker.ietf.org/ipr/1788/>
>> >
>> > Please send comments to the TRILL list before June 27.
>> >
>> > Thanks,
>> >   Erik
>> > _______________________________________________
>> > trill mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/trill
>> _______________________________________________
>> trill mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/trill